

# GetPolicyVersion


Gets information about the specified policy version.

Requires permission to access the [GetPolicyVersion](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax


```
GET /policies/policyName/version/policyVersionId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [policyName](#API_GetPolicyVersion_RequestSyntax) **   <a name="iot-GetPolicyVersion-request-uri-policyName"></a>
The name of the policy.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[\w+=,.@-]+`   
Required: Yes

 ** [policyVersionId](#API_GetPolicyVersion_RequestSyntax) **   <a name="iot-GetPolicyVersion-request-uri-policyVersionId"></a>
The policy version ID.  
Pattern: `[0-9]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "creationDate": number,
   "generationId": "string",
   "isDefaultVersion": boolean,
   "lastModifiedDate": number,
   "policyArn": "string",
   "policyDocument": "string",
   "policyName": "string",
   "policyVersionId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [creationDate](#API_GetPolicyVersion_ResponseSyntax) **   <a name="iot-GetPolicyVersion-response-creationDate"></a>
The date the policy was created.  
Type: Timestamp

 ** [generationId](#API_GetPolicyVersion_ResponseSyntax) **   <a name="iot-GetPolicyVersion-response-generationId"></a>
The generation ID of the policy version.  
Type: String

 ** [isDefaultVersion](#API_GetPolicyVersion_ResponseSyntax) **   <a name="iot-GetPolicyVersion-response-isDefaultVersion"></a>
Specifies whether the policy version is the default.  
Type: Boolean

 ** [lastModifiedDate](#API_GetPolicyVersion_ResponseSyntax) **   <a name="iot-GetPolicyVersion-response-lastModifiedDate"></a>
The date the policy was last modified.  
Type: Timestamp

 ** [policyArn](#API_GetPolicyVersion_ResponseSyntax) **   <a name="iot-GetPolicyVersion-response-policyArn"></a>
The policy ARN.  
Type: String

 ** [policyDocument](#API_GetPolicyVersion_ResponseSyntax) **   <a name="iot-GetPolicyVersion-response-policyDocument"></a>
The JSON document that describes the policy.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 404600.  
Pattern: `[\s\S]*` 

 ** [policyName](#API_GetPolicyVersion_ResponseSyntax) **   <a name="iot-GetPolicyVersion-response-policyName"></a>
The policy name.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[\w+=,.@-]+` 

 ** [policyVersionId](#API_GetPolicyVersion_ResponseSyntax) **   <a name="iot-GetPolicyVersion-response-policyVersionId"></a>
The policy version ID.  
Type: String  
Pattern: `[0-9]+` 

## Errors


 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/GetPolicyVersion) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/GetPolicyVersion) 